Skip to content
Sendtier Docs
API reference

List webhooks

Source: OpenAPI (openapi/openapi.yaml).

curl -X GET "https://api.sendtier.example/webhooks" \  -H "Authorization: Bearer st_live_REPLACE_ME"
{  "data": [    {      "id": "string",      "url": "string",      "events": [        "email.queued"      ],      "test_mode": true,      "signing_secret": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}
GET
/webhooks

Authorization

headerAuthorizationBearer <token>

API key: st_live_... or st_test_...

Query Parameters

limit?integer
Range1 <= value <= 100
Default50
after?string

Cursor from next_cursor of the previous page.

Response Body

A page of webhooks. signing_secret is never included.

application/json
  1. response
data*array<>
next_cursor?string